<?php
session_start();

include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
    
$conexion=conecta_default();
extract($_POST);   
if(@$parte2!="Buscar"){
    $id_cd=$sesion->id;
    $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci";

	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

    echo "<script language=\"JavaScript\" src=\"popcalendar.js\"></script>"
    . "<script language='JavaScript' type='text/javascript'>"
    . "window.onload = function grrr() {"
    . "var cc=document.getElementById('centrini');"
    . "var ff=document.getElementById('fechini');"
    . "var ii=document.getElementById('fechini2');"
    . "ff.style.visibility='hidden';"
    . "cc.style.visibility='hidden';"
    . "ii.style.visibility='hidden';"
    . "}"
    . "</script>";
    
     echo "<script language=\"JavaScript\" type='text/javascript'>"
    . "function cliki(opc){"
    . "var cc=document.getElementById('centrini');"
    . "var ff=document.getElementById('fechini');"
    . "var ii=document.getElementById('fechini2');"
    . "if(opc.value=='centro'){"
    . "ff.style.visibility='hidden';"
    . "ii.style.visibility='hidden';"
    . "cc.style.visibility='visible';"
    . "}"
    . "if(opc.value=='fecha'){"
    . "ff.style.visibility='visible';"    
    . "ii.style.visibility='visible';"
    . "cc.style.visibility='hidden';"
    . "}"
    . "}"
    . "</script>";
    
    echo "<center><form name='quest' action='muestrastock.php' method='post'>"
    . "<label><b>Filtrar por: </b></label><br><br>"
    . "<input type='radio' name='opc' value='centro' onchange='cliki(this)'>Centro</input>"
    . "<select id='centrini' name='idcd'>"
    . "<option value=\"$id_cd\">Mi Centro</option>";
while ($datos = mysqli_fetch_array($consultada1)){
    echo "<option value=\"".$datos[0]."\">".$datos[1]."</option>";
}        
    echo "</select>"      
    . "<input type='radio' name='opc' value='fecha' onchange='cliki(this)'>Fecha</input>"
    . "<input type=\"text\" id='fechini' name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" id='fechini2' src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\">"
    . "<input type='submit' name='parte2' value='Buscar'><br>"
    . "</form></center>";
    }
else{
extract($_POST);
echo "<table border=\"1\" align=\"center\">
        <tr bgcolor=\"#594106\">
        <th><font color=\"#FFFFFF\">Centro</font></th>
        <th><font color=\"#FFFFFF\">Producto 1</font></th>
	<th><font color=\"#FFFFFF\">Stock Actual</font></th>
        <th><font color=\"#FFFFFF\">Cantidad Desplazada</font></th>
        <th><font color=\"#FFFFFF\">Producto 2</font></th>
        <th><font color=\"#FFFFFF\">Stock Actual</font></th>
        <th><font color='#FFFFFF'>Fecha y Hora</font></th>
        </tr>";
     if(isset($idcd) && $fecha_i==NULL){
$cc1="select * from cambiostock where centro=$idcd";
$qcc1=mysqli_query($conexion, $cc1) or die (mysqli_error($conexion));
while (($Rcc1=mysqli_fetch_object($qcc1)) ){
$idcd=$Rcc1->centro;
$cant_mov=$Rcc1->cant_mov;
$prod1=$Rcc1->prod1;
$quit=$Rcc1->quitado;
$prod2=$Rcc1->prod2;
$add=$Rcc1->agregado;
$fecha=$Rcc1->fecha;
$hora=$Rcc1->hora;
$cnps="select nombreProd from productos where id_prod='$prod1'";
$qcnps=mysqli_query($conexion, $cnps) or die (mysqli_error($conexion));
$Rcnps=  mysqli_fetch_object($qcnps);
$NombreProd1=$Rcnps->nombreProd;
$conps="select nombreProd from productos where id_prod='$prod2'";
$qconps=mysqli_query($conexion, $conps) or die (mysqli_error($conexion));
$Rconps=  mysqli_fetch_object($qconps);
$NombreProd2=$Rconps->nombreProd;
echo "  <tr bgcolor=\"#ece3bb\">"
        . "<td>$idcd</td>"
        . "<td>$NombreProd1</td>"
        . "<td>$quit</td>"
        . "<td>$cant_mov</td>"
        . "<td>$NombreProd2</td>"
        . "<td>$add</td>"
        . "<td>$fecha // $hora</td>"
        . "</tr>";
        
}
echo "</table><br><br>";
}
else if(isset($fecha_i)){
 $cc1="select * from cambiostock where fecha='$fecha_i'";
$qcc1=mysqli_query($conexion, $cc1) or die (mysqli_error($conexion));
while (($Rcc1=mysqli_fetch_object($qcc1)) ){
$idcd=$Rcc1->centro;
$cant_mov=$Rcc1->cant_mov;
$prod1=$Rcc1->prod1;
$quit=$Rcc1->quitado;
$prod2=$Rcc1->prod2;
$add=$Rcc1->agregado;
$fecha=$Rcc1->fecha;
$hora=$Rcc1->hora;
$cnps="select nombreProd from productos where id_prod='$prod1'";
$qcnps=mysqli_query($conexion, $cnps) or die (mysqli_error($conexion));
$Rcnps=  mysqli_fetch_object($qcnps);
$NombreProd1=$Rcnps->nombreProd;
$conps="select nombreProd from productos where id_prod='$prod2'";
$qconps=mysqli_query($conexion, $conps) or die (mysqli_error($conexion));
$Rconps=  mysqli_fetch_object($qconps);
$NombreProd2=$Rconps->nombreProd;
echo "  <tr bgcolor=\"#ece3bb\">"
        . "<td>$idcd</td>"
        . "<td>$NombreProd1</td>"
        . "<td>$quit</td>"
        . "<td>$cant_mov</td>"
        . "<td>$NombreProd2</td>"
        . "<td>$add</td>"
        . "<td>$fecha // $hora</td>"
        . "</tr>";
        
}
echo "</table><br><br>";   
}}
?>